Package org.opensaml.messaging.encoder.httpclient

# Interface HttpClientRequestMessageEncoder

All Superinterfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageEncoder`

All Known Implementing Classes:
  `AbstractHttpClientRequestMessageEncoder`, `BaseHttpClientRequestXMLMessageEncoder`, `HttpClientRequestSOAP11Encoder`, `HttpClientRequestSOAP11Encoder`, `HttpClientRequestSOAP11Encoder`

public interface HttpClientRequestMessageEncoder extends MessageEncoder
A specialization of `MessageEncoder` that operates on a sink message data type of `ClassicHttpRequest`.

## Method Summary

Modifier and Type
Method
Description
`org.apache.hc.core5.http.ClassicHttpRequest`
`getHttpRequest()`
Get the HTTP client request on which to operate.
`void`
`setHttpRequest(org.apache.hc.core5.http.ClassicHttpRequest request)`
Set the HTTP client request on which to operate.

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.encoder.MessageEncoder

`encode, prepareContext, setMessageContext`

## Method Details

### getHttpRequest

@Nullable org.apache.hc.core5.http.ClassicHttpRequest getHttpRequest()
Get the HTTP client request on which to operate.

Returns:
  the HTTP client request

### setHttpRequest

void setHttpRequest(@Nullable org.apache.hc.core5.http.ClassicHttpRequest request)
Set the HTTP client request on which to operate.

Parameters:
  `request` - the HTTP client request